vigra - SequenceAccessor< SEQUENCE > Class Template Reference

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| SequenceAccessor< SEQUENCE > Class Template Reference Data Accessors |

Accessor for items that are STL compatible sequences. More...

`#include <vigra/accessor.hxx>`

Inheritance diagram for SequenceAccessor< SEQUENCE >:

## Public Types
typedef SEQUENCE::value_type | component_type
Public Types inherited from StandardAccessor< SEQUENCE >
typedef SEQUENCE | value_type

## Public Member Functions
template<class ITERATOR >
iterator | begin (ITERATOR const &i) const
template<class ITERATOR , class OFFSET >
iterator | begin (ITERATOR const &i, OFFSET const &diff) const
template<class ITERATOR >
iterator | end (ITERATOR const &i) const
template<class ITERATOR , class OFFSET >
iterator | end (ITERATOR const &i, OFFSET const &diff) const
template<class ITERATOR >
unsigned int | size (ITERATOR const &i) const
template<class ITERATOR , class OFFSET >
unsigned int | size (ITERATOR const &i, OFFSET const &diff) const
Public Member Functions inherited from StandardAccessor< SEQUENCE >
SEQUENCEconst & | operator() (ITERATOR const &i) const
SEQUENCEconst & | operator() (ITERATOR const &i, OFFSET const &diff) const
void | set (V const &value, ITERATOR const &i) const
void | set (V const &value, ITERATOR const &i, OFFSET const &diff) const

## Detailed Description

### template<class SEQUENCE>
class vigra::SequenceAccessor< SEQUENCE >

Accessor for items that are STL compatible sequences.

It encapsulates access to the sequences' begin() and end() functions.

Usage:

#include <vigra/accessor.hxx>
Namespace: vigra

typedef std::list<std::list<int> > ListOfLists;
ListOfLists ll;
...
typedef vigra::SequenceAccessor<ListOfLists::value_type> ListOfListsAccessor;
ListOfListsAccessor a;
for(ListOfLists::iterator li = ll.begin(); li != ll.end(); ++li)
{
for(ListOfListsAccessor::iterator i = a.begin(li); i != a.end(li); ++i)
{
i = 10;
}
}

## Member Typedef Documentation

typedef SEQUENCE::value_type component_type

the sequence's value_type

## Member Function Documentation

iterator begin | ( | ITERATOR const & | i | ) | const

get begin iterator for sequence at given iterator position

iterator end | ( | ITERATOR const & | i | ) | const

get end iterator for sequence at given iterator position

iterator begin | ( | ITERATOR const & | i,
|  | OFFSET const & | diff
| ) |  | const

get begin iterator for sequence at an offset of given iterator position

iterator end | ( | ITERATOR const & | i,
|  | OFFSET const & | diff
| ) |  | const

get end iterator for sequence at a 2D difference vector of given iterator position

unsigned int size | ( | ITERATOR const & | i | ) | const

get size of sequence at given iterator position

unsigned int size | ( | ITERATOR const & | i,
|  | OFFSET const & | diff
| ) |  | const

get size of sequence at 2D difference vector of given iterator position

The documentation for this class was generated from the following file:

- vigra/accessor.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.1 (Fri May 19 2017)